<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{{ current_app.config['APPLICATION_NAME'] }} | Log in</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="/static/bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="/static/bower_components/font-awesome/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="/static/bower_components/Ionicons/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="/static/dist/css/AdminLTE.css">
  <!-- iCheck -->
  <link rel="stylesheet" href="static/plugins/iCheck/square/blue.css">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="hold-transition login-page">
<div class="login-box">
  <div class="login-logo">
    <a href="/"><b>{{ current_app.config['APPLICATION_NAME'] }}</b></a>
  </div>
  <!-- /.login-logo -->
  <div class="login-box-body">
    <p class="login-box-msg">Sign in to start your session</p>
    {% with messages = get_flashed_messages() %}
      {% if messages %}
        <div>
          {% for category, message in get_flashed_messages(with_categories=true) %}
            <div class="alert alert-{{category}}">
              {{ message | safe }}
            </div>
          {% endfor %}
        </div>
	  {% endif %}
    {% endwith %}
    <form action="/auth/login" method="post">
      <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
      <div class="form-group has-feedback">
        <input type="text" class="form-control" name="username" id="username" placeholder="Username" required>
        <span class="glyphicon glyphicon-user form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <input type="password" class="form-control" name="password" id="password" placeholder="Password" required>
        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
      </div>
      <div class="row">
        <div class="col-xs-8">
          <div class="checkbox icheck">
            <label>
              <input type="checkbox" name="remember" value="True"> Remember Me
            </label>
          </div>
        </div>
        <!-- /.col -->
        <input type="hidden" name="timezone" value="" id="timezone">
        <div class="col-xs-4">
          <button type="submit" class="btn btn-primary btn-block btn-flat">Sign In</button>
        </div>
        <!-- /.col -->
      </div>
    </form>
    {% if current_app.config.LDAP %}
        {% if current_app.config.LDAP_PWM_FORGOT_URL %}
          <a href="{{ current_app.config.LDAP_PWM_FORGOT_URL }}" target="_blank">I forgot my password</a>
        {% else %}
          <a href="{{ current_app.config.LDAP_PWM_URL }}" target="_blank">I forgot my password</a>
        {% endif %}
    {% else %}
      <a href="/auth/password-forgot">I forgot my password</a><br>
    {% endif %}
  </div>
  <!-- /.login-box-body -->
</div>
<!-- /.login-box -->
<div class="login-box-msg">
<p> {{ current_app.config.APPLICATION_BANNER }} </p>
</div>
<!-- jQuery 3 -->
<script src="/static/bower_components/jquery/dist/jquery.min.js"></script>
<!-- Bootstrap 3.3.7 -->
<script src="/static/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
<!-- iCheck -->
<script src="/static/plugins/iCheck/icheck.min.js"></script>
<script src="/static/bower_components/moment/min/jstz.js"></script>
<script language="javascript">
    function getTimezoneName() {
        timezone = jstz.determine();
        return timezone.name();
    }
    document.getElementById("timezone").value = getTimezoneName();
</script>
<script>
  $(function () {
    $('input').iCheck({
      checkboxClass: 'icheckbox_square-blue',
      radioClass: 'iradio_square-blue',
      increaseArea: '20%' // optional
    });
  });
</script>
</body>
</html>
